Get certification_body_auditors by id
GET /obp/dynamic-entity/certification_body_auditors/CERTIFICATION_BODY_AUDITORS_ID
OBPv4.0.0-dynamicEntity_getSinglecertification_body_auditors_ Roles: CanGetDynamicEntityRecord_certification_body_auditors(per bank) _Certification_body_auditorsDynamic-EntityDynamic
Get certification_body_auditors by id.
‘certification body’ means an accredited or recognised independent conformity assessment body that has concluded an agreement with a certification scheme to carry out certification audits and issue certificates of compliance;
Property List:
- certification_body_id: Unique identifier for the certification body
- legal_name: Legal or trading name of the certification body
- address_line_1: Certification body primary street address (street name, building number, P.O. Box if applicable)
- address_line_2: Certification body secondary, optional details like apartment, suite, unit, floor, or building name
- address_city: City
- address_postcode: Certification body postcode
- country_code: ISO 3166-1 alpha-2 country code for certification body address.
- logo: URL or asset reference to a logo image for UI/PDF rendering.
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"certification_body_auditors"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example success response
{
"certification_body_auditors": {
"certification_body_auditors_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
"certification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8",
"legal_name": "DNV Business Assurance Germany GmbH",
"address_line_1": "Brooktorkai 18",
"address_line_2": "5th Floor",
"address_city": "Hamburg",
"address_postcode": "20457",
"country_code": "DE",
"logo": "https://cdn.example.org/logos/dnv.png"
}
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.